#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n;
    cin >> n;
    int niz[n];
    for(int i = 0; i < n; i++)
    {
        cin >> niz[i];
    }
    int q;
    cin >> q;
    while(q--)
    {
        int l, r;
        cin >> l >> r;
        l--;r--;
        if(l == r)
        {
            cout << "DA" << endl;
        }
        else
        {
            bool z = false;
            bool ne_moze = false;
            for(int i = l+1; i <= r; i++)
            {
                if(niz[i-1] > niz[i] && !z)
                {
                    z = true;
                    if(i-2 >= l && niz[i-2] > niz[i] && (i+1 <= r && niz[i+1] >= niz[i-1]))
                    {
                        ne_moze = true;
                        break;
                    }
                }
                else
                {
                    if(niz[i-1] > niz[i] && z == true)
                    {
                        ne_moze = true;
                        break;
                    }
                }
                //cout << niz[i-1] << " " << niz[i];
                //cout << " " << z << endl;
            }
            if(ne_moze)
            {
                cout << "NE" << endl;
            }
            else
            {
                cout << "DA" << endl;
            }
            //cout << endl;
        }
    }
    return 0;
}